php-pimple_3.0.2-2ubuntu1_all.deb


Advertisement

Description

php-pimple - simple dependency injection container -- class

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name php-pimple
Package version 3.0.2
Package release 2ubuntu1
Package architecture all
Package type deb
Installed size 26 B
Download size 7.00 KB
Official Mirror archive.ubuntu.com
Creating a container is a matter of instating the Pimple class.
As many other dependency injection containers, Pimple is able to manage
two different kind of data: services and parameters.

Alternatives

Package Version Architecture Repository
php-pimple_3.0.2-2ubuntu1_all.deb 3.0.2 all Ubuntu Universe
php-pimple - - -

Requires

Name Value
php-common -

Download

Type URL
Binary Package php-pimple_3.0.2-2ubuntu1_all.deb
Source Package php-pimple

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-pimple deb package:
    # sudo apt-get install php-pimple

Files

Path
/usr/share/doc/php-pimple/README.rst.gz
/usr/share/doc/php-pimple/changelog.Debian.gz
/usr/share/doc/php-pimple/copyright
/usr/share/php/Pimple/Container.php
/usr/share/php/Pimple/ServiceProviderInterface.php
/usr/share/php/Pimple/autoload.php

Changelog

2016-06-15 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
php-pimple (3.0.2-2ubuntu1) yakkety; urgency=medium
* d/t/control: remove entire stanza for testing php5-pimple
(LP: #1592890).
2016-04-10 - Dmitry Smirnov <onlyjob@debian.org>
php-pimple (3.0.2-2) unstable; urgency=medium
* Upload to unstable.
* No longer build PHP-7 incompatible C extension.
* Standards-Version: 3.9.8.
* Upgraded Vcs-Browser URL.
* Removed rules/get-orig-source.
* Added myself to Uploaders.
2015-10-29 - David Prévot <taffit@debian.org>
php-pimple (3.0.2-1) experimental; urgency=medium
[ Fabien Potencier ]
* moved to silexphp organization
* updated CHANGELOG
* prepared the 3.0.2 release
[ Marcus Sa ]
* Update license year.
[ David Prévot ]
* Update upstream VCS
* Update copyright (years)
* Drop description from composer.json
2015-05-13 - David Prévot <taffit@debian.org>
php-pimple (3.0.0-2) experimental; urgency=medium
* Bump standards version to 3.9.6
* Provide homemade autoload.php
* Run all tests
2014-07-26 - David Prévot <taffit@debian.org>
php-pimple (3.0.0-1) experimental; urgency=medium
[ Fabien Potencier ]
* updated CHANGELOG
* moved tests under src/
* prepare 3.0.0 release
[ David Prévot ]
* Do not install extension instead of skipping a class test
* Do not care about the class for the extension test
* Do not install tests
* Adapt patches to moved tests
2014-07-03 - David Prévot <taffit@debian.org>
php-pimple (2.1.0-2) experimental; urgency=medium
* Build C extension
2014-07-03 - David Prévot <taffit@debian.org>
php-pimple (2.1.0-1) experimental; urgency=medium
[ Fabien Potencier ]
* bumped version to 2.1
* moved lib/ to src/
* migrated everything to Pimple\Container
[ Julien Pauli ]
* Pimple C extension
[ Adrian Cendrowski ]
* Updated license year
[ David Prévot ]
* No tests if DEB_BUILD_OPTIONS contains nocheck
* Update copyright
* Update packaging
* Update patches
* Update dependencies
2014-05-28 - David Prévot <taffit@debian.org>
php-pimple (2.0.0-1) experimental; urgency=medium
[ Fabien Potencier ]
* added a CHANGELOG
[ David Prévot ]
* Revert "Stick to version 1 as needed by Silex", and upload to experimental
2014-05-28 - David Prévot <taffit@debian.org>
php-pimple (1.1.1-1) unstable; urgency=medium
[ Fabien Potencier ]
* bumped Pimple version
[ David Prévot ]
* Stick to version 1 as needed by Silex
2014-05-21 - David Prévot <taffit@debian.org>
php-pimple (1.0.2-1) unstable; urgency=low
* Initial release (closes: #748869)

See Also

Package Description
php-pinba_1.1.0-3build1_i386.deb Pinba module for PHP
php-propro-dev_2.0.1+1.0.2-1build1_all.deb propro module for PHP development headers [dummy]
php-propro_2.0.1+1.0.2-1build1_i386.deb propro module for PHP
php-proxy-manager_2.1.1-1_all.deb library providing utilities to operate with Object Proxies
php-ps_1.4.1-1_i386.deb ps module for PHP
php-psr-cache_1.0.1-1_all.deb Common interface for caching libraries
php-psr-http-message_1.0-2_all.deb Common interface for HTTP messages
php-psr-log_1.0.0-4_all.deb common interface for logging libraries
php-radius_1.4.0~b1-6build1_i386.deb radius client library for PHP
php-random-compat_2.0.2-2_all.deb PHP 5.x polyfill for random_bytes() and random_int() from PHP 7
php-raphf-dev_2.0.0+1.1.2-2build1_all.deb raphf module for PHP development headers [dummy]
php-raphf_2.0.0+1.1.2-2build1_i386.deb raphf module for PHP
php-react-promise_2.4.1-1_all.deb lightweight implementation of CommonJS Promises/A for PHP
php-readline_7.1+54ubuntu1_all.deb readline module for PHP [default]
php-redis_3.1.2-1_i386.deb PHP extension for interfacing with Redis
Advertisement
Advertisement